Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in xen
ID: SUSE-SU-2019:0020-1
Distribution: SUSE
Plattformen: SUSE OpenStack Cloud 7, SUSE Linux Enterprise Server for SAP 12-SP2, SUSE Enterprise Storage 4, SUSE Linux Enterprise Server 12-SP2-LTSS, SUSE Linux Enterprise Server 12-SP2-BCL
Datum: Fr, 4. Januar 2019, 23:14
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19665
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-18849
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19965
Applikationen: Xen

Originalnachricht

   SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:0020-1
Rating: important
References: #1027519 #1105528 #1108940 #1114423 #1115040
#1115045 #1115047 #1116380 #1117756
Cross-References: CVE-2018-18849 CVE-2018-19665 CVE-2018-19961
CVE-2018-19962 CVE-2018-19965 CVE-2018-19966

Affected Products:
SUSE OpenStack Cloud 7
SUSE Linux Enterprise Server for SAP 12-SP2
SUSE Linux Enterprise Server 12-SP2-LTSS
SUSE Linux Enterprise Server 12-SP2-BCL
SUSE Enterprise Storage 4
______________________________________________________________________________

An update that solves 6 vulnerabilities and has three fixes
is now available.

Description:

This update for xen fixes the following issues:

Security vulnerabilities fixed:

- CVE-2018-19961, CVE-2018-19962: Fixed an issue related to insufficient
TLB flushing with AMD IOMMUs, which potentially allowed a guest to
escalate its privileges, may cause a Denial of Service (DoS) affecting
the entire host, or may be able to access data it is not supposed to
access. (XSA-275) (bsc#1115040)
- CVE-2018-19965: Fixed an issue related to the INVPCID instruction in
case non-canonical addresses are accessed, which may allow a guest to
cause Xen to crash, resulting in a Denial of Service (DoS) affecting the
entire host. (XSA-279) (bsc#1115045)
- CVE-2018-19966: Fixed an issue related to a previous fix for XSA-240,
which conflicted with shadow paging and allowed a guest to cause Xen to
crash, resulting in a Denial of Service (DoS). (XSA-280) (bsc#1115047)
- CVE-2018-19665: Fixed an integer overflow resulting in memory corruption
in various Bluetooth functions, allowing this to crash qemu process
resulting in Denial of Service (DoS). (bsc#1117756).
- CVE-2018-18849: Fixed an out of bounds memory access in the LSI53C895A
SCSI host bus adapter emulation, which allowed a user and/or process to
crash the qemu process resulting in a Denial of Service (DoS).
(bsc#1114423)

Other bugs fixed:

- Fixed an issue related to a domU hang on SLE12-SP3 HV (bsc#1108940)
- Fixed an issue with xpti=no-dom0 not working as expected (bsc#1105528)
- Fixed an issue with live migrations, which used to fail when spectre is
enabled on xen boot cmdline (bsc#1116380)
- Upstream bug fixes (bsc#1027519)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE OpenStack Cloud 7:

zypper in -t patch SUSE-OpenStack-Cloud-7-2019-20=1

- SUSE Linux Enterprise Server for SAP 12-SP2:

zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-20=1

- SUSE Linux Enterprise Server 12-SP2-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-20=1

- SUSE Linux Enterprise Server 12-SP2-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-20=1

- SUSE Enterprise Storage 4:

zypper in -t patch SUSE-Storage-4-2019-20=1



Package List:

- SUSE OpenStack Cloud 7 (x86_64):

xen-4.7.6_05-43.45.1
xen-debugsource-4.7.6_05-43.45.1
xen-doc-html-4.7.6_05-43.45.1
xen-libs-32bit-4.7.6_05-43.45.1
xen-libs-4.7.6_05-43.45.1
xen-libs-debuginfo-32bit-4.7.6_05-43.45.1
xen-libs-debuginfo-4.7.6_05-43.45.1
xen-tools-4.7.6_05-43.45.1
xen-tools-debuginfo-4.7.6_05-43.45.1
xen-tools-domU-4.7.6_05-43.45.1
xen-tools-domU-debuginfo-4.7.6_05-43.45.1

- SUSE Linux Enterprise Server for SAP 12-SP2 (x86_64):

xen-4.7.6_05-43.45.1
xen-debugsource-4.7.6_05-43.45.1
xen-doc-html-4.7.6_05-43.45.1
xen-libs-32bit-4.7.6_05-43.45.1
xen-libs-4.7.6_05-43.45.1
xen-libs-debuginfo-32bit-4.7.6_05-43.45.1
xen-libs-debuginfo-4.7.6_05-43.45.1
xen-tools-4.7.6_05-43.45.1
xen-tools-debuginfo-4.7.6_05-43.45.1
xen-tools-domU-4.7.6_05-43.45.1
xen-tools-domU-debuginfo-4.7.6_05-43.45.1

- SUSE Linux Enterprise Server 12-SP2-LTSS (x86_64):

xen-4.7.6_05-43.45.1
xen-debugsource-4.7.6_05-43.45.1
xen-doc-html-4.7.6_05-43.45.1
xen-libs-32bit-4.7.6_05-43.45.1
xen-libs-4.7.6_05-43.45.1
xen-libs-debuginfo-32bit-4.7.6_05-43.45.1
xen-libs-debuginfo-4.7.6_05-43.45.1
xen-tools-4.7.6_05-43.45.1
xen-tools-debuginfo-4.7.6_05-43.45.1
xen-tools-domU-4.7.6_05-43.45.1
xen-tools-domU-debuginfo-4.7.6_05-43.45.1

- SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

xen-4.7.6_05-43.45.1
xen-debugsource-4.7.6_05-43.45.1
xen-doc-html-4.7.6_05-43.45.1
xen-libs-32bit-4.7.6_05-43.45.1
xen-libs-4.7.6_05-43.45.1
xen-libs-debuginfo-32bit-4.7.6_05-43.45.1
xen-libs-debuginfo-4.7.6_05-43.45.1
xen-tools-4.7.6_05-43.45.1
xen-tools-debuginfo-4.7.6_05-43.45.1
xen-tools-domU-4.7.6_05-43.45.1
xen-tools-domU-debuginfo-4.7.6_05-43.45.1

- SUSE Enterprise Storage 4 (x86_64):

xen-4.7.6_05-43.45.1
xen-debugsource-4.7.6_05-43.45.1
xen-doc-html-4.7.6_05-43.45.1
xen-libs-32bit-4.7.6_05-43.45.1
xen-libs-4.7.6_05-43.45.1
xen-libs-debuginfo-32bit-4.7.6_05-43.45.1
xen-libs-debuginfo-4.7.6_05-43.45.1
xen-tools-4.7.6_05-43.45.1
xen-tools-debuginfo-4.7.6_05-43.45.1
xen-tools-domU-4.7.6_05-43.45.1
xen-tools-domU-debuginfo-4.7.6_05-43.45.1


References:

https://www.suse.com/security/cve/CVE-2018-18849.html
https://www.suse.com/security/cve/CVE-2018-19665.html
https://www.suse.com/security/cve/CVE-2018-19961.html
https://www.suse.com/security/cve/CVE-2018-19962.html
https://www.suse.com/security/cve/CVE-2018-19965.html
https://www.suse.com/security/cve/CVE-2018-19966.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1105528
https://bugzilla.suse.com/1108940
https://bugzilla.suse.com/1114423
https://bugzilla.suse.com/1115040
https://bugzilla.suse.com/1115045
https://bugzilla.suse.com/1115047
https://bugzilla.suse.com/1116380
https://bugzilla.suse.com/1117756

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung